Loading...
Searching...
No Matches
QGpgMENewCryptoConfigEntry Class Reference
Inheritance diagram for QGpgMENewCryptoConfigEntry:
[legend]
Collaboration diagram for QGpgMENewCryptoConfigEntry:
[legend]

## Public Member Functions

| QGpgMENewCryptoConfigEntry (const std::shared_ptr< QGpgMENewCryptoConfigGroup > &group, const GpgME::Configuration::Option &option)
QString | name () const override
QString | description () const override
QString | path () const override
bool | isOptional () const override
bool | isReadOnly () const override
bool | isList () const override
bool | isRuntime () const override
Level | level () const override
ArgType | argType () const override
bool | isSet () const override
bool | boolValue () const override
QString | stringValue () const override
int | intValue () const override
unsigned int | uintValue () const override
QUrl | urlValue () const override
unsigned int | numberOfTimesSet () const override
std::vector< int > | intValueList () const override
std::vector< unsigned int > | uintValueList () const override
QList< QUrl > | urlValueList () const override
void | resetToDefault () override
void | setBoolValue (bool) override
void | setStringValue (const QString &) override
void | setIntValue (int) override
void | setUIntValue (unsigned int) override
void | setURLValue (const QUrl &) override
void | setNumberOfTimesSet (unsigned int) override
void | setIntValueList (const std::vector< int > &) override
void | setUIntValueList (const std::vector< unsigned int > &) override
void | setURLValueList (const QList< QUrl > &) override
bool | isDirty () const override
QStringList | stringValueList () const
QVariant | defaultValue () const

The documentation for this class was generated from the following files:

- qgpgmenewcryptoconfig.h
- qgpgmenewcryptoconfig.cpp